Bug 477790 - why: please update to version 2.17
why: please update to version 2.17
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: why (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Alan Dunn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 13:19 EST by Jose Pedro Oliveira
Modified: 2009-01-05 20:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2008-12-23 13:19:44 EST
Description of problem:
Would it be possible to update why to the latest version (2.17) ?


Version-Release number of selected component (if applicable):
why-2.14-2.fc10


Additional info:
Why 2.17 is one of the frama-c (http://frama-c.cea.fr/) requirements.
Comment 1 Alan Dunn 2008-12-24 10:15:09 EST
(In reply to comment #0)
> Description of problem:
> Would it be possible to update why to the latest version (2.17) ?
> 
> 
> Version-Release number of selected component (if applicable):
> why-2.14-2.fc10
> 
> 
> Additional info:
> Why 2.17 is one of the frama-c (http://frama-c.cea.fr/) requirements.

I am in the process of testing the update (building on Koji) right now. However, from my understanding this won't affect an install of Frama-C: It includes its own copy of Why. I previously asked the creators of Frama-C to package their software in a way such that it could use an already installed copy of Why. Instead, it seems as though the software now allows you to maintain your own copy of Why separate from Frama-C, but still uses its own copy of Why. This is detrimental to efforts to package Frama-C, which I would also like to do at some point (maybe if users like you complain?).
Comment 2 Fedora Update System 2008-12-24 19:52:30 EST
why-2.17-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/why-2.17-1.fc10
Comment 3 Fedora Update System 2008-12-24 19:52:32 EST
why-2.17-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/why-2.17-1.fc9
Comment 4 Jose Pedro Oliveira 2008-12-26 13:06:57 EST
Thanks for the update.

(In reply to comment #1)
> ...
> However, from my understanding this won't affect an install of Frama-C: It
> includes its own copy of Why. I previously asked the creators of Frama-C to
> package their software in a way such that it could use an already installed
> copy of Why. Instead, it seems as though the software now allows you to
> maintain your own copy of Why separate from Frama-C, but still uses its own
> copy of Why. 

You're right (I only skimmed through the configure --help output and thought
that the option --with-whydir would allow me specify the location of an installed why binary).

> This is detrimental to efforts to package Frama-C, which I would
> also like to do at some point (maybe if users like you complain?).

I try to contact the frama-c author during the next few days and will keep you posted.

/jpo
Comment 5 Jose Pedro Oliveira 2008-12-26 14:04:33 EST
BTW, I have here a draft of a frama-c specfile:

  ftp://perl.di.uminho.pt/pub/fedora/frama-c.spec

Notes:
 * It builds in Fedora 10;
 * It also installs the why binaries
   (and they cause several file conflicts with the why rpm).
Comment 6 Fedora Update System 2008-12-30 18:49:42 EST
why-2.17-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-30 18:54:36 EST
why-2.17-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jose Pedro Oliveira 2009-01-05 20:45:42 EST
And the answer to your query in the frama-c mailing list [1] ;)

<quote>
Yes, the next Frama-C major version (aka Beryllium) will not be 
distributed with a Why version anymore.
...
</quote>

Thanks,
jpo

[1]
http://lists.gforge.inria.fr/pipermail/frama-c-discuss/2009-January/000317.html

Note You need to log in before you can comment on or make changes to this bug.